# Get Endpoint - GetMsalActivitiesById
Loads all MSAL activities.
# HTTP Request
One of the following requests should be made:
GET /odata/msalactivities({key})
GET /odata/msalactivities/{key}
The endpoint supports the following OData query parameters: $select, $expand
# Path parameters
| Name | Description |
|---|---|
| key | required |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the load of MSAL activities was successful. | array MsalAccountActivityEntity |
400 | If provided request data is invalid. | |
500 | If while loading MSAL activies an error has occured on the server side. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/msalactivities(1)?repository=repo1
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"@odata.context": "https://elosyncurl/odata/$metadata#MsalActivities",
"value": [
{
"msalAccountActivityEntityId": 1,
"accountIdentifier": true,
"accountObjectId": false
//....
}
]
}